use tcc;
create table instrumentos(
id int not null auto_increment,
hexad varchar(20),
nome varchar(255),
descricao varchar(255),
PRIMARY KEY (ID)
)ENGINE=InnoDB;


create table leitura_entrada(
nro_sala varchar(255),
nome_sala varchar(255),
paciente varchar(255),
caminho varchar(255),
nome_responsavel varchar(255),
observacao varchar(255),
hexad varchar(20),
dia varchar(50),
hora varchar(50)
)engine=InnoDB;


create table leitura_saida(
nro_sala varchar(225),
nome_sala varchar(255),
paciente varchar(255),
caminho varchar(255),
nome_responsavel varchar(255),
observacao varchar(255),
hexad varchar(20),
dia varchar(50),
hora varchar(50)
)engine=InnoDB;

create table administrador(
id int not null,
nome varchar(255),
senha varchar(255)
)engine=InnoDB;


insert into leitura_saida (hexad) values ("FHGDSY");
insert into administrador values (1,"admin","admin");

select * from instrumentos;
select * from leitura_entrada;
select * from leitura_saida;

/*
drop table teste;
drop table administrador;
drop table leitura_entrada;
drop table leitura_saida;
drop table instrumentos;

*/
-- teste hexadecimais ENTRADA E SAIDA
SELECT 
	LEITURA_ENTRADA.NRO_SALA,
	LEITURA_ENTRADA.NOME_SALA,
	LEITURA_ENTRADA.PACIENTE,
	
	LEITURA_ENTRADA.HEXAD,
	LEITURA_SAIDA.HEXAD
	
	
	FROM 
	LEITURA_ENTRADA INNER JOIN LEITURA_SAIDA ON LEITURA_ENTRADA.HEXAD = LEITURA_SAIDA.HEXAD;



-- COMUM AS DUAS TABELAS ENTRADA E SAIDA
SELECT     
	LEITURA_ENTRADA.NRO_SALA, 
	LEITURA_ENTRADA.NOME_SALA,
	LEITURA_ENTRADA.PACIENTE,
	LEITURA_ENTRADA.HEXAD AS EQUIP_ENTRADA_LEI,
    LEITURA_SAIDA.HEXAD AS EQUIP_SAIDA_LEI,
	INSTRUMENTOS.NOME,
    INSTRUMENTOS.DESCRICAO

FROM         LEITURA_ENTRADA INNER JOIN LEITURA_SAIDA ON LEITURA_ENTRADA.HEXAD = LEITURA_SAIDA.HEXAD 
             inner JOIN INSTRUMENTOS ON LEITURA_ENTRADA.HEXAD = INSTRUMENTOS.HEXAD 
             INNER JOIN INSTRUMENTOS AS INSTRUMENTOS_SAIDA ON LEITURA_SAIDA.HEXAD = INSTRUMENTOS_SAIDA.HEXAD;

-- O QUE TEM MAIS SAIDAS DO QUE ENTRADAS
SELECT
	LS.NRO_SALA,
	LS.NOME_SALA,
	LS.PACIENTE,
	ls.observacao,
    LS.DIA,
    ls.hora,
    LS.HEXAD,
    INS.NOME,
    INS.DESCRICAO
FROM LEITURA_SAIDA AS LS INNER JOIN INSTRUMENTOS AS INS ON LS.HEXAD=INS.HEXAD
WHERE LS.HEXAD NOT IN(SELECT leitura_entrada.hexad FROM LEITURA_ENTRADA);


-- MAIS ENTRADAS DO QUE SAIDAS .... ESTÃO FALTANDO ESTES INSTRUMENTOS OK
SELECT 
	LE.NRO_SALA,
	LE.NOME_SALA,
	LE.PACIENTE,
	LE.HEXAD,
    INS.NOME
FROM 
	LEITURA_ENTRADA AS LE INNER JOIN INSTRUMENTOS AS INS ON LE.HEXAD=INS.HEXAD
WHERE LE.HEXAD NOT IN( SELECT LEITURA_SAIDA.HEXAD FROM LEITURA_SAIDA);


-- MAIS SAIDA DO QUE ENTRADAS .... ESTÃO FALTANDO ESTES INSTRUMENTOS 
SELECT
	leitura_saida.NRO_SALA,
	Leitura_saida.NOME_SALA,
	Leitura_saida.PACIENTE,
	Leitura_saida.HEXAD,
	Instrumentos.NOME
FROM 

LEITURA_SAIDA inner JOIN INSTRUMENTOS ON leitura_saida.HEXAD=instrumentos.HEXAD
where leitura_saida.HEXAD NOT IN( SELECT LEITURA_ENTRADA.HEXAD FROM LEITURA_ENTRADA);






insert into instrumentos values (1,"9E 7E 33 CB", "Bisturi", "Utilizado para diérese");
insert into instrumentos values (2,"3E 9D 46 D5", "Pinça hemostática", "Utilizado para hemostasia");
insert into instrumentos values (3,"27 1C 34 CB", "Tesoura cirúrgica Metzenbaum", "Utilizado para diérese");
insert into instrumentos values (4,"5B EF 32 CB", "Porta-agulhas Mathieu", "Utilizado para síntese");
insert into instrumentos values (5,"22 F1 32 CB", "Afastador", "Utilizado para visualização do campo operatório");
insert into instrumentos values (6,"A7 39 33 CB", "Pinça de preensão", "Utilizado para separação de órgãos");
insert into instrumentos values (7,"7A 27 33 CB", "Pinça dente de rato", "Utilizado para hemostasia");
insert into instrumentos values (8,"49 78 33 CB", "Afastador Farabeuf", "Utilizado para visualização campo operatório");
insert into instrumentos values (9,"360 0 28 49", "Tesoura cirúrgica Mayo", "Utilizado para diérese");