/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import execucao.ConexaoExecucao;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import modelo.Administrador;

/**
 *
 * @author User
 */
public class AdministradorDAO {
       private Connection conn;
    
    public AdministradorDAO() {
        this.conn = new ConexaoExecucao().getConnection();
    }
    
    public Boolean autenticarUsuario(String nome, String senha)
    {
        boolean retorno = false;
        
        Administrador usuario = this.getUsuario(nome);
        Administrador password = this.getPassword(senha);
        
        //se usuario for diferente de null e password diferente de null
        if (usuario != null && password != null)
        {
        
            if ((usuario.getNome().equals(nome))&&(password.getSenha().equals(senha)))
            {
                retorno = true;
            }
        }        
        
        return retorno;
        
    }
    
    public Administrador getUsuario(String nome) {
            
            Administrador retorno = null;
            
            try {
                
                
                String SQL = "select nome, senha from administrador where nome = ?";
                PreparedStatement smtm = this.conn.prepareStatement(SQL);
                smtm.setString(1, nome);
                ResultSet rs = smtm.executeQuery();
                if (rs.next()) {
                    retorno = new Administrador();
                    retorno.setNome(rs.getString("nome"));
                 
                }
                rs.close();
               
            }catch (SQLException e) {
                
            }
        return retorno;
        
    }
    
    public Administrador getPassword(String senha) {
            
            Administrador retorno = null;
            
            try {
                
                String SQL = "select nome, senha from administrador where senha = ?";
                PreparedStatement smtm = this.conn.prepareStatement(SQL);
                smtm.setString(1, senha);
                
                ResultSet rs = smtm.executeQuery();
                
                if (rs.next()) {
                    retorno = new Administrador();
                    //retorna o nome e a senha cadastrados no BD
                    retorno.setNome(rs.getString("nome"));
                    retorno.setSenha(rs.getString("senha"));
                    
                }
                rs.close();
               
            }catch (SQLException e) {
                
            }
        return retorno;
        
    }
}
