/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import execucao.ConexaoExecucao;
import java.awt.Component;
import modelo.Instrumentos;
import java.sql.*;
import java.sql.PreparedStatement;
import javax.swing.JOptionPane;
/**
 *
 * @author User
 */
public class InstrumentosDAO {
    private final Connection connection;
    private final String INSERT = "INSERT INTO INSTRUMENTOS (hexad, NOME, DESCRICAO) VALUES (?,?,?)";
    private final String UPDATE = "UPDATE INSTRUMENTOS SET hexad=?, NOME=?,DESCRICAO=? WHERE id=?";
    private final String DELETE = "DELETE FROM INSTRUMENTOS WHERE nome =?";
    private final String LIST = "SELECT * FROM INSTRUMENTOS";
    private final String LISTBYID = "SELECT * FROM INSTRUMENTOS WHERE hexad=?, nome=?, descricao=?";
    int id;
    String hexad;
    String nome;
    String descricao;
    private Object combobox1;
    
    public InstrumentosDAO(){
        this.connection = new ConexaoExecucao().getConnection();
    }
    public static void fechaConexao(Connection conn) {

		try {
			if (conn != null) {
				conn.close();
				System.out.println("Fechada a conexão com o banco de dados");
			}

		} catch (Exception e) {
			System.out.println("Não foi possível fechar a conexão com o banco de dados " + e.getMessage());
		}
	}
    public void inserir (Instrumentos instrumentos){
        
        String sql = "insert into instrumentos (hexad, nome, descricao) values (?,?,?)";
        try {
            try (PreparedStatement stmt = connection.prepareStatement(sql)) {
                //stmt.setInt   (1, instrumentos.getId());
                stmt.setString(1, instrumentos.getHexad());
                stmt.setString(2, instrumentos.getNome());
                stmt.setString(3, instrumentos.getDescricao());
                boolean execute = stmt.execute();
            }
        
        } catch (SQLException i){
            throw new RuntimeException(i);
        }
    }
    public void Excluir(Instrumentos instrumentos){
        String sql = "delete from instrumentos (hexad, nome, descricao) values (?,?,?)";
            try (PreparedStatement stmt = connection.prepareStatement(sql)) {
                //stmt.setInt   (1, instrumentos.getId());
                stmt.setString(1, instrumentos.getHexad());
                stmt.setString(2, instrumentos.getNome());
                stmt.setString(3, instrumentos.getDescricao());
                boolean execute;
                execute = stmt.execute();
                JOptionPane.showMessageDialog(null, " Dados excluídos com sucesso! ");
            } catch (SQLException i){
                throw new RuntimeException(i);
                //JOptionPane.showMessageDialog(null, "Erro ao excluir dados! ");
            }
    }
    
    public void Atualizar (Instrumentos instrumentos){
       if (instrumentos != null) {
			Connection conn = null;
                        String sql = "update instrumentos set (hexad, nome, descricao) values (?,?,?)";
			try {
				conn = connection;
				PreparedStatement pstm;
				pstm = conn.prepareStatement(UPDATE);

				//pstm.setInt   (1, instrumentos.getId());
				pstm.setString(1, instrumentos.getHexad());
				pstm.setString(2, instrumentos.getNome());
				pstm.setString(3, instrumentos.getDescricao());

				pstm.execute();
				JOptionPane.showMessageDialog(null, "Instrumento alterado com sucesso");
				ConexaoExecucao.fechaConexao(conn);

			} catch (Exception e) {
				JOptionPane.showMessageDialog(null, "Erro ao atualizar contato no banco de"
						+ "dados " + e.getMessage());
			}
		} else {
			JOptionPane.showMessageDialog(null, "O contato enviado por parâmetro está vazio");
		}
    }
    public void Listar(Instrumentos instrumentos){
         try {
            //Registra JDBC driver
            Class.forName("com.mysql.jdbc.Driver");
 
            //Abrindo a conexão
            Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3307/tcc", "root", "usbw");
 
            //Executa a query de seleção
            java.sql.Statement st = conn.createStatement();
            st.executeQuery("select * from instrumentos");
            ResultSet rs = st.getResultSet();
 
            //Lista os alunos no console
            while (rs.next()) {
                System.out.print(rs.getString("id") + ", ");
                System.out.print(rs.getString("hexad") + ", ");
                System.out.println(rs.getString("nome") + ",");
                System.out.println(rs.getString("descricao"));
            }
           
        } catch (SQLException | ClassNotFoundException e) {
             Component rootPane = null;
            JOptionPane.showMessageDialog(rootPane, e);
        }//Fim try
    }
}
    